summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 1e4d6db8c..fe94d8317 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -83,6 +83,11 @@ if [[ -n $ADK_PACKAGE_LIBPCAP ]]; then
NEED_BISON="$NEED_BISON libpcap"
fi
+if [[ -n $ADK_PACKAGE_LIBXFONT ]]; then
+ NEED_WWW="$NEED_WWW libXfont"
+ NEED_XMLTO="$NEED_XMLTO libXfont"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
echo >&2 You need gettext to build $NEED_GETTEXT
@@ -118,6 +123,17 @@ if [[ -n $NEED_INTL ]]; then
fi
fi
+if [[ -n $NEED_WWW ]]; then
+ if ! which w3m >/dev/null 2>&1; then
+ if ! which lynx >/dev/null 2>&1; then
+ if ! which links >/dev/null 2>&1; then
+ echo >&2 You need w3m/links/lynx to build $NEED_WWW
+ out=1
+ fi
+ fi
+ fi
+fi
+
if [[ -n $NEED_BISON ]]; then
if ! which bison >/dev/null 2>&1; then
echo >&2 You need bison to build $NEED_BISON